Bug 569368 - Review Request: ipa-ex-mincho-fonts - Japanese Mincho-typeface OpenType font by IPA
Summary: Review Request: ipa-ex-mincho-fonts - Japanese Mincho-typeface OpenType font ...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daiki Ueno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-01 13:16 UTC by Akira TAGOH
Modified: 2010-06-01 02:37 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-01 02:37:54 UTC
Type: ---
dueno: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Akira TAGOH 2010-03-01 13:16:24 UTC
Spec URL: http://tagoh.fedorapeople.org/ipa-ex-mincho-fonts/ipa-ex-mincho-fonts.spec
SRPM URL: http://tagoh.fedorapeople.org/ipa-ex-mincho-fonts/ipa-ex-mincho-fonts-001.01-1.fc12.src.rpm
Description:
IPAex Font is a Japanese OpenType fonts that is JIS X 0213:2004
compliant, provided by Information-technology Promotion Agency, Japan.

This package contains Mincho style font.

Comment 1 Akira TAGOH 2010-03-01 13:17:54 UTC
https://fedoraproject.org/wiki/IPAex_Mincho_fonts

Comment 3 Daiki Ueno 2010-04-21 02:47:56 UTC
Same issues as #569366 (ipa-ex-gothic-fonts) apply to the initial package and they are resolved in the new one.  So I think it's ok.

Comment 4 Daiki Ueno 2010-04-21 02:57:51 UTC
Sorry, I overlooked that "Release" is not incremented and 'binding="same"' is still appears in a <match> element of ipa-ex-mincho-fonts-fontconfig.conf.

Comment 5 Akira TAGOH 2010-05-17 10:01:30 UTC
Sorry for not getting back to you earlier. updated spec file and srpm is available here:

Spec URL: http://tagoh.fedorapeople.org/ipa-ex-mincho-fonts/ipa-ex-mincho-fonts.spec
SRPM URL: http://tagoh.fedorapeople.org/ipa-ex-mincho-fonts/ipa-ex-mincho-fonts-001.01-2.fc12.src.rpm

Comment 6 Daiki Ueno 2010-05-24 02:13:24 UTC
It looks ok with me.

BTW, is the priority setting (65-2-) really necessary or chosen for consistency with ipa-ex-gothic-fonts?  Asking because I'm just curious about the relationship between this font and other mincho fonts (they are all assigned priority 66-).

Comment 7 Akira TAGOH 2010-05-26 03:19:09 UTC
Thanks for review.

Well, that priority setting are rquired to avoid overriding by 65-nonlatin.conf since it also contains some mincho-typeface fonts.

New Package CVS Request
=======================
Package Name: ipa-ex-mincho-fonts
Short Description: Japanese Mincho-typeface OpenType font by IPA
Owners: tagoh
Branches: devel F-13 F-12 F-11
InitialCC: i18n-team fonts-sig

Comment 8 Akira TAGOH 2010-05-26 05:39:27 UTC
Ah, didn't catch up the mail. that's ok without F-11 branch.

Comment 9 Dennis Gilmore 2010-05-27 22:40:42 UTC
CVS Done

Comment 10 Akira TAGOH 2010-05-28 04:53:34 UTC
Apparently there are no F-13 and F-12 branches though. do I need to wait some time?

set ? to fedora-cvs again to grab someone.

Comment 11 Jason Tibbitts 2010-05-28 14:50:56 UTC
Indeed, I don't see those branches.  I've created them.

Comment 12 Akira TAGOH 2010-06-01 02:37:54 UTC
Thanks. the package has been imported and built.


Note You need to log in before you can comment on or make changes to this bug.